Subject: Bug#1074092: vim: Annoying visual bell in insert mode when pageing after upgrade to trixie

From: Helge Kreutzmann <[email-masked]>
Date: Sun, 23 Jun 2024 08:37:59 +0000

Package: vim
Version: 2:9.1.0496-1
Severity: minor

Up until bookworm no visual bell was shown in vim on the console
with my configuration. Now in insert mode (only), when paging an annoying visual
bell is shown.

This is *not* occuring with --clean but from the Debian changes I
could not derive which settings fault it is. 

(And I have no idea how to search in the docs for it).

As this is a (minor) regression, I'm reporting this. And if you have
any suggestion how to find out which setting this causes (except for
bisecting) I would be happy :-))

-- Package-specific info:

--- real paths of main Vim binaries ---
/usr/bin/vi is /usr/bin/vim.gtk3
/usr/bin/vim is /usr/bin/vim.gtk3
/usr/bin/gvim is /usr/bin/vim.gtk3

-- System Information:
Debian Release: trixie/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 6.9.2 (SMP w/12 CPU threads; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to de_DE.UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages vim depends on:
ii  libacl1      2.3.2-2
ii  libc6        2.38-13
ii  libgpm2      1.20.7-11
ii  libselinux1  3.5-2+b2
ii  libsodium23  1.0.18-1+b1
ii  libtinfo6    6.5-2
ii  vim-common   2:9.1.0496-1
ii  vim-runtime  2:9.1.0496-1

vim recommends no packages.

Versions of packages vim suggests:
pn  ctags        <none>
ii  vim-doc      2:9.1.0496-1
ii  vim-scripts  20210124.2

-- no debconf information

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/